dpkg (1.18.25) stretch; urgency=medium
[dpkg] / lib / dpkg / Makefile.in
CommitLineData
1479465f
GJ
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17
18
19VPATH = @srcdir@
20am__is_gnu_make = { \
21 if test -z '$(MAKELEVEL)'; then \
22 false; \
23 elif test -n '$(MAKE_HOST)'; then \
24 true; \
25 elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26 true; \
27 else \
28 false; \
29 fi; \
30}
31am__make_running_with_option = \
32 case $${target_option-} in \
33 ?) ;; \
34 *) echo "am__make_running_with_option: internal error: invalid" \
35 "target option '$${target_option-}' specified" >&2; \
36 exit 1;; \
37 esac; \
38 has_opt=no; \
39 sane_makeflags=$$MAKEFLAGS; \
40 if $(am__is_gnu_make); then \
41 sane_makeflags=$$MFLAGS; \
42 else \
43 case $$MAKEFLAGS in \
44 *\\[\ \ ]*) \
45 bs=\\; \
46 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
48 esac; \
49 fi; \
50 skip_next=no; \
51 strip_trailopt () \
52 { \
53 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54 }; \
55 for flg in $$sane_makeflags; do \
56 test $$skip_next = yes && { skip_next=no; continue; }; \
57 case $$flg in \
58 *=*|--*) continue;; \
59 -*I) strip_trailopt 'I'; skip_next=yes;; \
60 -*I?*) strip_trailopt 'I';; \
61 -*O) strip_trailopt 'O'; skip_next=yes;; \
62 -*O?*) strip_trailopt 'O';; \
63 -*l) strip_trailopt 'l'; skip_next=yes;; \
64 -*l?*) strip_trailopt 'l';; \
65 -[dEDm]) skip_next=yes;; \
66 -[JT]) skip_next=yes;; \
67 esac; \
68 case $$flg in \
69 *$$target_option*) has_opt=yes; break;; \
70 esac; \
71 done; \
72 test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93@HAVE_LINKER_VERSION_SCRIPT_TRUE@am__append_1 = \
94@HAVE_LINKER_VERSION_SCRIPT_TRUE@ -Wl,--version-script=$(srcdir)/libdpkg.map
95
96@BUILD_SHARED_TRUE@am__append_2 = \
97@BUILD_SHARED_TRUE@ $(LIBINTL) \
98@BUILD_SHARED_TRUE@ $(Z_LIBS) \
99@BUILD_SHARED_TRUE@ $(LZMA_LIBS) \
100@BUILD_SHARED_TRUE@ $(BZ2_LIBS)
101
102subdir = lib/dpkg
103ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
104am__aclocal_m4_deps = $(top_srcdir)/m4/dpkg-arch.m4 \
105 $(top_srcdir)/m4/dpkg-build.m4 \
106 $(top_srcdir)/m4/dpkg-compiler.m4 \
107 $(top_srcdir)/m4/dpkg-coverage.m4 \
108 $(top_srcdir)/m4/dpkg-funcs.m4 $(top_srcdir)/m4/dpkg-libs.m4 \
109 $(top_srcdir)/m4/dpkg-linker.m4 $(top_srcdir)/m4/dpkg-progs.m4 \
110 $(top_srcdir)/m4/dpkg-types.m4 \
111 $(top_srcdir)/m4/dpkg-unicode.m4 $(top_srcdir)/m4/gettext.m4 \
112 $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
113 $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
114 $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/libtool.m4 \
115 $(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
116 $(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
117 $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
118 $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/configure.ac
119am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
120 $(ACLOCAL_M4)
121DIST_COMMON = $(srcdir)/Makefile.am $(pkginclude_HEADERS) \
122 $(am__DIST_COMMON)
123mkinstalldirs = $(install_sh) -d
124CONFIG_HEADER = $(top_builddir)/config.h
125CONFIG_CLEAN_FILES = libdpkg.pc
126CONFIG_CLEAN_VPATH_FILES =
127am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
128am__vpath_adj = case $$p in \
129 $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
130 *) f=$$p;; \
131 esac;
132am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
133am__install_max = 40
134am__nobase_strip_setup = \
135 srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
136am__nobase_strip = \
137 for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
138am__nobase_list = $(am__nobase_strip_setup); \
139 for p in $$list; do echo "$$p $$p"; done | \
140 sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
141 $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
142 if (++n[$$2] == $(am__install_max)) \
143 { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
144 END { for (dir in files) print dir, files[dir] }'
145am__base_list = \
146 sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
147 sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
148am__uninstall_files_from_dir = { \
149 test -z "$$files" \
150 || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
151 || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
152 $(am__cd) "$$dir" && rm -f $$files; }; \
153 }
154am__installdirs = "$(DESTDIR)$(devlibdir)" "$(DESTDIR)$(pkgconfigdir)" \
155 "$(DESTDIR)$(pkgincludedir)"
156LTLIBRARIES = $(devlib_LTLIBRARIES)
157am__DEPENDENCIES_1 =
158@BUILD_SHARED_TRUE@am__DEPENDENCIES_2 = $(am__DEPENDENCIES_1) \
159@BUILD_SHARED_TRUE@ $(am__DEPENDENCIES_1) $(am__DEPENDENCIES_1) \
160@BUILD_SHARED_TRUE@ $(am__DEPENDENCIES_1)
161am_libdpkg_la_OBJECTS = ar.lo arch.lo atomic-file.lo buffer.lo \
162 c-ctype.lo cleanup.lo color.lo command.lo compress.lo dbdir.lo \
163 dbmodify.lo deb-version.lo debug.lo depcon.lo dir.lo dump.lo \
164 ehandle.lo error.lo fdio.lo file.lo fields.lo glob.lo i18n.lo \
165 log.lo mlib.lo namevalue.lo nfmalloc.lo options.lo \
166 options-parsers.lo parse.lo parsehelp.lo path.lo \
167 path-remove.lo pkg.lo pkg-db.lo pkg-array.lo pkg-format.lo \
168 pkg-list.lo pkg-namevalue.lo pkg-queue.lo pkg-show.lo \
169 pkg-spec.lo progname.lo program.lo progress.lo report.lo \
170 string.lo strhash.lo strwide.lo subproc.lo tarfn.lo \
171 treewalk.lo trigname.lo trignote.lo triglib.lo trigdeferred.lo \
172 utils.lo varbuf.lo version.lo
173libdpkg_la_OBJECTS = $(am_libdpkg_la_OBJECTS)
174AM_V_lt = $(am__v_lt_@AM_V@)
175am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
176am__v_lt_0 = --silent
177am__v_lt_1 =
178libdpkg_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
179 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
180 $(libdpkg_la_LDFLAGS) $(LDFLAGS) -o $@
181AM_V_P = $(am__v_P_@AM_V@)
182am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
183am__v_P_0 = false
184am__v_P_1 = :
185AM_V_GEN = $(am__v_GEN_@AM_V@)
186am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
187am__v_GEN_0 = @echo " GEN " $@;
188am__v_GEN_1 =
189AM_V_at = $(am__v_at_@AM_V@)
190am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
191am__v_at_0 = @
192am__v_at_1 =
193DEFAULT_INCLUDES =
194depcomp = $(SHELL) $(top_srcdir)/build-aux/depcomp
195am__depfiles_maybe = depfiles
196am__mv = mv -f
197COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
198 $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
199LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
200 $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
201 $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
202 $(AM_CFLAGS) $(CFLAGS)
203AM_V_CC = $(am__v_CC_@AM_V@)
204am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
205am__v_CC_0 = @echo " CC " $@;
206am__v_CC_1 =
207CCLD = $(CC)
208LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
209 $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
210 $(AM_LDFLAGS) $(LDFLAGS) -o $@
211AM_V_CCLD = $(am__v_CCLD_@AM_V@)
212am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
213am__v_CCLD_0 = @echo " CCLD " $@;
214am__v_CCLD_1 =
215SOURCES = $(libdpkg_la_SOURCES)
216DIST_SOURCES = $(libdpkg_la_SOURCES)
217RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
218 ctags-recursive dvi-recursive html-recursive info-recursive \
219 install-data-recursive install-dvi-recursive \
220 install-exec-recursive install-html-recursive \
221 install-info-recursive install-pdf-recursive \
222 install-ps-recursive install-recursive installcheck-recursive \
223 installdirs-recursive pdf-recursive ps-recursive \
224 tags-recursive uninstall-recursive
225am__can_run_installinfo = \
226 case $$AM_UPDATE_INFO_DIR in \
227 n|no|NO) false;; \
228 *) (install-info --version) >/dev/null 2>&1;; \
229 esac
230DATA = $(pkgconfig_DATA)
231HEADERS = $(pkginclude_HEADERS)
232RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
233 distclean-recursive maintainer-clean-recursive
234am__recursive_targets = \
235 $(RECURSIVE_TARGETS) \
236 $(RECURSIVE_CLEAN_TARGETS) \
237 $(am__extra_recursive_targets)
238AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
239 distdir
240am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
241# Read a list of newline-separated strings from the standard input,
242# and print each of them once, without duplicates. Input order is
243# *not* preserved.
244am__uniquify_input = $(AWK) '\
245 BEGIN { nonempty = 0; } \
246 { items[$$0] = 1; nonempty = 1; } \
247 END { if (nonempty) { for (i in items) print i; }; } \
248'
249# Make sure the list of sources is unique. This is necessary because,
250# e.g., the same source file might be shared among _SOURCES variables
251# for different programs/libraries.
252am__define_uniq_tagged_files = \
253 list='$(am__tagged_files)'; \
254 unique=`for i in $$list; do \
255 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
256 done | $(am__uniquify_input)`
257ETAGS = etags
258CTAGS = ctags
259DIST_SUBDIRS = $(SUBDIRS)
260am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/libdpkg.pc.in \
261 $(top_srcdir)/build-aux/depcomp
262DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
263am__relativize = \
264 dir0=`pwd`; \
265 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
266 sed_rest='s,^[^/]*/*,,'; \
267 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
268 sed_butlast='s,/*[^/]*$$,,'; \
269 while test -n "$$dir1"; do \
270 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
271 if test "$$first" != "."; then \
272 if test "$$first" = ".."; then \
273 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
274 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
275 else \
276 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
277 if test "$$first2" = "$$first"; then \
278 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
279 else \
280 dir2="../$$dir2"; \
281 fi; \
282 dir0="$$dir0"/"$$first"; \
283 fi; \
284 fi; \
285 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
286 done; \
287 reldir="$$dir2"
288ACLOCAL = @ACLOCAL@
289AMTAR = @AMTAR@
290AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
291AR = @AR@
292AUTOCONF = @AUTOCONF@
293AUTOHEADER = @AUTOHEADER@
294AUTOM4TE = @AUTOM4TE@
295AUTOMAKE = @AUTOMAKE@
296AWK = @AWK@
297BUILD_DEVEL_DOCS = @BUILD_DEVEL_DOCS@
298BZ2_LIBS = @BZ2_LIBS@
299CC = @CC@
300CCDEPMODE = @CCDEPMODE@
301CFLAGS = @CFLAGS@
302CPP = @CPP@
303CPPFLAGS = @CPPFLAGS@
304CURSES_LIBS = @CURSES_LIBS@
305CXX = @CXX@
306CXXCPP = @CXXCPP@
307CXXDEPMODE = @CXXDEPMODE@
308CXXFLAGS = @CXXFLAGS@
309CYGPATH_W = @CYGPATH_W@
310DEFS = @DEFS@
311DEPDIR = @DEPDIR@
312DLLTOOL = @DLLTOOL@
313DOXYGEN = @DOXYGEN@
314DSYMUTIL = @DSYMUTIL@
315DUMPBIN = @DUMPBIN@
316ECHO_C = @ECHO_C@
317ECHO_N = @ECHO_N@
318ECHO_T = @ECHO_T@
319EGREP = @EGREP@
320EXEEXT = @EXEEXT@
321FGREP = @FGREP@
322GCOV = @GCOV@
323GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
324GMSGFMT = @GMSGFMT@
325GMSGFMT_015 = @GMSGFMT_015@
326GREP = @GREP@
327HAVE_DOT = @HAVE_DOT@
328INSTALL = @INSTALL@
329INSTALL_DATA = @INSTALL_DATA@
330INSTALL_PROGRAM = @INSTALL_PROGRAM@
331INSTALL_SCRIPT = @INSTALL_SCRIPT@
332INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
333INTLLIBS = @INTLLIBS@
334INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
335KVM_LIBS = @KVM_LIBS@
336LCOV = @LCOV@
337LCOV_GENHTML = @LCOV_GENHTML@
338LD = @LD@
339LDFLAGS = @LDFLAGS@
340LIBICONV = @LIBICONV@
341LIBINTL = @LIBINTL@
342LIBOBJS = @LIBOBJS@
343LIBS = @LIBS@
344LIBTOOL = @LIBTOOL@
345LIPO = @LIPO@
346LN_S = @LN_S@
347LTLIBICONV = @LTLIBICONV@
348LTLIBINTL = @LTLIBINTL@
349LTLIBOBJS = @LTLIBOBJS@
350LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
351LZMA_LIBS = @LZMA_LIBS@
352MAKEINFO = @MAKEINFO@
353MANIFEST_TOOL = @MANIFEST_TOOL@
354MD_LIBS = @MD_LIBS@
355MKDIR_P = @MKDIR_P@
356MSGFMT = @MSGFMT@
357MSGFMT_015 = @MSGFMT_015@
358MSGMERGE = @MSGMERGE@
359NM = @NM@
360NMEDIT = @NMEDIT@
361OBJDUMP = @OBJDUMP@
362OBJEXT = @OBJEXT@
363OTOOL = @OTOOL@
364OTOOL64 = @OTOOL64@
365PACKAGE = @PACKAGE@
366PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
367PACKAGE_COPYRIGHT_HOLDER = @PACKAGE_COPYRIGHT_HOLDER@
368PACKAGE_NAME = @PACKAGE_NAME@
369PACKAGE_RELEASE_DATE = @PACKAGE_RELEASE_DATE@
370PACKAGE_STRING = @PACKAGE_STRING@
371PACKAGE_TARNAME = @PACKAGE_TARNAME@
372PACKAGE_URL = @PACKAGE_URL@
373PACKAGE_VERSION = @PACKAGE_VERSION@
374PATCH = @PATCH@
375PATH_SEPARATOR = @PATH_SEPARATOR@
376PERL = @PERL@
377PERL_COVER = @PERL_COVER@
378PERL_COVERAGE = @PERL_COVERAGE@
379PERL_LIBDIR = @PERL_LIBDIR@
380PKG_CONFIG = @PKG_CONFIG@
381PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
382PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
383PO4A = @PO4A@
384POD2MAN = @POD2MAN@
385POSUB = @POSUB@
386PS_LIBS = @PS_LIBS@
387RANLIB = @RANLIB@
388SED = @SED@
389SELINUX_CFLAGS = @SELINUX_CFLAGS@
390SELINUX_LIBS = @SELINUX_LIBS@
391SET_MAKE = @SET_MAKE@
392SHELL = @SHELL@
393STRIP = @STRIP@
394TAR = @TAR@
395USE_NLS = @USE_NLS@
396USE_PO4A = @USE_PO4A@
397USE_UNICODE = @USE_UNICODE@
398VERSION = @VERSION@
399XGETTEXT = @XGETTEXT@
400XGETTEXT_015 = @XGETTEXT_015@
401XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
402Z_LIBS = @Z_LIBS@
403abs_builddir = @abs_builddir@
404abs_srcdir = @abs_srcdir@
405abs_top_builddir = @abs_top_builddir@
406abs_top_srcdir = @abs_top_srcdir@
407ac_ct_AR = @ac_ct_AR@
408ac_ct_CC = @ac_ct_CC@
409ac_ct_CXX = @ac_ct_CXX@
410ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
411admindir = @admindir@
412am__include = @am__include@
413am__leading_dot = @am__leading_dot@
414am__quote = @am__quote@
415am__tar = @am__tar@
416am__untar = @am__untar@
417bindir = @bindir@
418build = @build@
419build_alias = @build_alias@
420build_cpu = @build_cpu@
421build_os = @build_os@
422build_vendor = @build_vendor@
423builddir = @builddir@
424datadir = @datadir@
425datarootdir = @datarootdir@
426devlibdir = @devlibdir@
427docdir = @docdir@
428dvidir = @dvidir@
429exec_prefix = @exec_prefix@
430host = @host@
431host_alias = @host_alias@
432host_cpu = @host_cpu@
433host_os = @host_os@
434host_vendor = @host_vendor@
435htmldir = @htmldir@
436includedir = @includedir@
437infodir = @infodir@
438install_sh = @install_sh@
439libdir = @libdir@
440libexecdir = @libexecdir@
441localedir = $(datadir)/locale
442localstatedir = @localstatedir@
443logdir = @logdir@
444mandir = @mandir@
445mkdir_p = @mkdir_p@
446oldincludedir = @oldincludedir@
447pdfdir = @pdfdir@
448pkgconfdir = $(sysconfdir)/@PACKAGE@
449prefix = @prefix@
450program_transform_name = @program_transform_name@
451psdir = @psdir@
452runstatedir = @runstatedir@
453sbindir = @sbindir@
454sharedstatedir = @sharedstatedir@
455srcdir = @srcdir@
456sysconfdir = @sysconfdir@
457target_alias = @target_alias@
458top_build_prefix = @top_build_prefix@
459top_builddir = @top_builddir@
460top_srcdir = @top_srcdir@
461SUBDIRS = . t
462AM_CPPFLAGS = \
463 -DLOCALEDIR=\"$(localedir)\" \
464 -DCONFIGDIR=\"$(pkgconfdir)\" \
465 -DADMINDIR=\"$(admindir)\" \
466 -DDEFAULT_TEXT_DOMAIN=\"@PACKAGE@\" \
467 -idirafter $(top_srcdir)/lib/compat \
468 -I$(top_builddir) \
469 -I$(top_srcdir)/lib
470
471EXTRA_DIST = \
472 libdpkg.map \
473 libdpkg.pc.in
474
475pkgconfigdir = $(devlibdir)/pkgconfig
476pkgconfig_DATA = libdpkg.pc
477devlib_LTLIBRARIES = libdpkg.la
478libdpkg_la_LDFLAGS = $(am__append_1) $(MD_LIBS)
479libdpkg_la_LIBADD = ../compat/libcompat.la $(am__append_2)
480libdpkg_la_DEPENDENCIES = \
481 libdpkg.map
482
483libdpkg_la_SOURCES = \
484 dlist.h \
485 ar.c \
486 arch.c \
487 atomic-file.c \
488 buffer.c \
489 c-ctype.c \
490 cleanup.c \
491 color.c \
492 command.c \
493 compress.c \
494 dbdir.c \
495 dbmodify.c \
496 deb-version.c \
497 debug.c \
498 depcon.c \
499 dir.c \
500 dump.c \
501 ehandle.c \
502 error.c \
503 fdio.c \
504 file.c \
505 fields.c \
506 glob.c \
507 i18n.c i18n.h \
508 log.c \
509 mlib.c \
510 namevalue.c \
511 nfmalloc.c \
512 options.c \
513 options-parsers.c \
514 parse.c \
515 parsehelp.c \
516 path.c \
517 path-remove.c \
518 pkg.c \
519 pkg-db.c \
520 pkg-array.c \
521 pkg-format.c \
522 pkg-list.c \
523 pkg-namevalue.c \
524 pkg-queue.c \
525 pkg-show.c \
526 pkg-spec.c \
527 progname.c \
528 program.c \
529 progress.c \
530 report.c \
531 string.c \
532 strhash.c \
533 strwide.c \
534 subproc.c \
535 tarfn.c \
536 test.h \
537 treewalk.c \
538 trigname.c \
539 trignote.c \
540 triglib.c \
541 trigdeferred.c \
542 utils.c \
543 varbuf.c \
544 version.c
545
546pkginclude_HEADERS = \
547 ar.h \
548 arch.h \
549 atomic-file.h \
550 buffer.h \
551 c-ctype.h \
552 color.h \
553 command.h \
554 compress.h \
555 deb-version.h \
556 debug.h \
557 dir.h \
558 dpkg.h \
559 dpkg-db.h \
560 ehandle.h \
561 error.h \
562 fdio.h \
563 file.h \
564 glob.h \
565 macros.h \
566 namevalue.h \
567 options.h \
568 parsedump.h \
569 path.h \
570 pkg.h \
571 pkg-array.h \
572 pkg-format.h \
573 pkg-list.h \
574 pkg-queue.h \
575 pkg-show.h \
576 pkg-spec.h \
577 progname.h \
578 program.h \
579 progress.h \
580 report.h \
581 string.h \
582 subproc.h \
583 tarfn.h \
584 treewalk.h \
585 trigdeferred.h \
586 triglib.h \
587 varbuf.h \
588 version.h
589
590all: all-recursive
591
592.SUFFIXES:
593.SUFFIXES: .c .lo .o .obj
594$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
595 @for dep in $?; do \
596 case '$(am__configure_deps)' in \
597 *$$dep*) \
598 ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
599 && { if test -f $@; then exit 0; else break; fi; }; \
600 exit 1;; \
601 esac; \
602 done; \
603 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign lib/dpkg/Makefile'; \
604 $(am__cd) $(top_srcdir) && \
605 $(AUTOMAKE) --foreign lib/dpkg/Makefile
606Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
607 @case '$?' in \
608 *config.status*) \
609 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
610 *) \
611 echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
612 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
613 esac;
614
615$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
616 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
617
618$(top_srcdir)/configure: $(am__configure_deps)
619 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
620$(ACLOCAL_M4): $(am__aclocal_m4_deps)
621 cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
622$(am__aclocal_m4_deps):
623libdpkg.pc: $(top_builddir)/config.status $(srcdir)/libdpkg.pc.in
624 cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
625
626install-devlibLTLIBRARIES: $(devlib_LTLIBRARIES)
627 @$(NORMAL_INSTALL)
628 @list='$(devlib_LTLIBRARIES)'; test -n "$(devlibdir)" || list=; \
629 list2=; for p in $$list; do \
630 if test -f $$p; then \
631 list2="$$list2 $$p"; \
632 else :; fi; \
633 done; \
634 test -z "$$list2" || { \
635 echo " $(MKDIR_P) '$(DESTDIR)$(devlibdir)'"; \
636 $(MKDIR_P) "$(DESTDIR)$(devlibdir)" || exit 1; \
637 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(devlibdir)'"; \
638 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(devlibdir)"; \
639 }
640
641uninstall-devlibLTLIBRARIES:
642 @$(NORMAL_UNINSTALL)
643 @list='$(devlib_LTLIBRARIES)'; test -n "$(devlibdir)" || list=; \
644 for p in $$list; do \
645 $(am__strip_dir) \
646 echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(devlibdir)/$$f'"; \
647 $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(devlibdir)/$$f"; \
648 done
649
650clean-devlibLTLIBRARIES:
651 -test -z "$(devlib_LTLIBRARIES)" || rm -f $(devlib_LTLIBRARIES)
652 @list='$(devlib_LTLIBRARIES)'; \
653 locs=`for p in $$list; do echo $$p; done | \
654 sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
655 sort -u`; \
656 test -z "$$locs" || { \
657 echo rm -f $${locs}; \
658 rm -f $${locs}; \
659 }
660
661libdpkg.la: $(libdpkg_la_OBJECTS) $(libdpkg_la_DEPENDENCIES) $(EXTRA_libdpkg_la_DEPENDENCIES)
662 $(AM_V_CCLD)$(libdpkg_la_LINK) -rpath $(devlibdir) $(libdpkg_la_OBJECTS) $(libdpkg_la_LIBADD) $(LIBS)
663
664mostlyclean-compile:
665 -rm -f *.$(OBJEXT)
666
667distclean-compile:
668 -rm -f *.tab.c
669
670@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ar.Plo@am__quote@
671@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/arch.Plo@am__quote@
672@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/atomic-file.Plo@am__quote@
673@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/buffer.Plo@am__quote@
674@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/c-ctype.Plo@am__quote@
675@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/cleanup.Plo@am__quote@
676@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/color.Plo@am__quote@
677@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/command.Plo@am__quote@
678@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/compress.Plo@am__quote@
679@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dbdir.Plo@am__quote@
680@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dbmodify.Plo@am__quote@
681@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/deb-version.Plo@am__quote@
682@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/debug.Plo@am__quote@
683@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/depcon.Plo@am__quote@
684@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dir.Plo@am__quote@
685@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/dump.Plo@am__quote@
686@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/ehandle.Plo@am__quote@
687@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/error.Plo@am__quote@
688@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fdio.Plo@am__quote@
689@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/fields.Plo@am__quote@
690@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/file.Plo@am__quote@
691@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/glob.Plo@am__quote@
692@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/i18n.Plo@am__quote@
693@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log.Plo@am__quote@
694@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/mlib.Plo@am__quote@
695@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/namevalue.Plo@am__quote@
696@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/nfmalloc.Plo@am__quote@
697@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/options-parsers.Plo@am__quote@
698@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/options.Plo@am__quote@
699@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parse.Plo@am__quote@
700@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/parsehelp.Plo@am__quote@
701@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/path-remove.Plo@am__quote@
702@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/path.Plo@am__quote@
703@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg-array.Plo@am__quote@
704@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg-db.Plo@am__quote@
705@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg-format.Plo@am__quote@
706@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg-list.Plo@am__quote@
707@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg-namevalue.Plo@am__quote@
708@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg-queue.Plo@am__quote@
709@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg-show.Plo@am__quote@
710@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg-spec.Plo@am__quote@
711@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/pkg.Plo@am__quote@
712@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/progname.Plo@am__quote@
713@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/program.Plo@am__quote@
714@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/progress.Plo@am__quote@
715@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/report.Plo@am__quote@
716@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strhash.Plo@am__quote@
717@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/string.Plo@am__quote@
718@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/strwide.Plo@am__quote@
719@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/subproc.Plo@am__quote@
720@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/tarfn.Plo@am__quote@
721@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/treewalk.Plo@am__quote@
722@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trigdeferred.Plo@am__quote@
723@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/triglib.Plo@am__quote@
724@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trigname.Plo@am__quote@
725@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trignote.Plo@am__quote@
726@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/utils.Plo@am__quote@
727@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/varbuf.Plo@am__quote@
728@AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/version.Plo@am__quote@
729
730.c.o:
731@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
732@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
733@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
734@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
735@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
736
737.c.obj:
738@am__fastdepCC_TRUE@ $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
739@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
740@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
741@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
742@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
743
744.c.lo:
745@am__fastdepCC_TRUE@ $(AM_V_CC)$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
746@am__fastdepCC_TRUE@ $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
747@AMDEP_TRUE@@am__fastdepCC_FALSE@ $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
748@AMDEP_TRUE@@am__fastdepCC_FALSE@ DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
749@am__fastdepCC_FALSE@ $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
750
751mostlyclean-libtool:
752 -rm -f *.lo
753
754clean-libtool:
755 -rm -rf .libs _libs
756install-pkgconfigDATA: $(pkgconfig_DATA)
757 @$(NORMAL_INSTALL)
758 @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
759 if test -n "$$list"; then \
760 echo " $(MKDIR_P) '$(DESTDIR)$(pkgconfigdir)'"; \
761 $(MKDIR_P) "$(DESTDIR)$(pkgconfigdir)" || exit 1; \
762 fi; \
763 for p in $$list; do \
764 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
765 echo "$$d$$p"; \
766 done | $(am__base_list) | \
767 while read files; do \
768 echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(pkgconfigdir)'"; \
769 $(INSTALL_DATA) $$files "$(DESTDIR)$(pkgconfigdir)" || exit $$?; \
770 done
771
772uninstall-pkgconfigDATA:
773 @$(NORMAL_UNINSTALL)
774 @list='$(pkgconfig_DATA)'; test -n "$(pkgconfigdir)" || list=; \
775 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
776 dir='$(DESTDIR)$(pkgconfigdir)'; $(am__uninstall_files_from_dir)
777install-pkgincludeHEADERS: $(pkginclude_HEADERS)
778 @$(NORMAL_INSTALL)
779 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
780 if test -n "$$list"; then \
781 echo " $(MKDIR_P) '$(DESTDIR)$(pkgincludedir)'"; \
782 $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)" || exit 1; \
783 fi; \
784 for p in $$list; do \
785 if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
786 echo "$$d$$p"; \
787 done | $(am__base_list) | \
788 while read files; do \
789 echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
790 $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
791 done
792
793uninstall-pkgincludeHEADERS:
794 @$(NORMAL_UNINSTALL)
795 @list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
796 files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
797 dir='$(DESTDIR)$(pkgincludedir)'; $(am__uninstall_files_from_dir)
798
799# This directory's subdirectories are mostly independent; you can cd
800# into them and run 'make' without going through this Makefile.
801# To change the values of 'make' variables: instead of editing Makefiles,
802# (1) if the variable is set in 'config.status', edit 'config.status'
803# (which will cause the Makefiles to be regenerated when you run 'make');
804# (2) otherwise, pass the desired values on the 'make' command line.
805$(am__recursive_targets):
806 @fail=; \
807 if $(am__make_keepgoing); then \
808 failcom='fail=yes'; \
809 else \
810 failcom='exit 1'; \
811 fi; \
812 dot_seen=no; \
813 target=`echo $@ | sed s/-recursive//`; \
814 case "$@" in \
815 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
816 *) list='$(SUBDIRS)' ;; \
817 esac; \
818 for subdir in $$list; do \
819 echo "Making $$target in $$subdir"; \
820 if test "$$subdir" = "."; then \
821 dot_seen=yes; \
822 local_target="$$target-am"; \
823 else \
824 local_target="$$target"; \
825 fi; \
826 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
827 || eval $$failcom; \
828 done; \
829 if test "$$dot_seen" = "no"; then \
830 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
831 fi; test -z "$$fail"
832
833ID: $(am__tagged_files)
834 $(am__define_uniq_tagged_files); mkid -fID $$unique
835tags: tags-recursive
836TAGS: tags
837
838tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
839 set x; \
840 here=`pwd`; \
841 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
842 include_option=--etags-include; \
843 empty_fix=.; \
844 else \
845 include_option=--include; \
846 empty_fix=; \
847 fi; \
848 list='$(SUBDIRS)'; for subdir in $$list; do \
849 if test "$$subdir" = .; then :; else \
850 test ! -f $$subdir/TAGS || \
851 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
852 fi; \
853 done; \
854 $(am__define_uniq_tagged_files); \
855 shift; \
856 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
857 test -n "$$unique" || unique=$$empty_fix; \
858 if test $$# -gt 0; then \
859 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
860 "$$@" $$unique; \
861 else \
862 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
863 $$unique; \
864 fi; \
865 fi
866ctags: ctags-recursive
867
868CTAGS: ctags
869ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
870 $(am__define_uniq_tagged_files); \
871 test -z "$(CTAGS_ARGS)$$unique" \
872 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
873 $$unique
874
875GTAGS:
876 here=`$(am__cd) $(top_builddir) && pwd` \
877 && $(am__cd) $(top_srcdir) \
878 && gtags -i $(GTAGS_ARGS) "$$here"
879cscopelist: cscopelist-recursive
880
881cscopelist-am: $(am__tagged_files)
882 list='$(am__tagged_files)'; \
883 case "$(srcdir)" in \
884 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
885 *) sdir=$(subdir)/$(srcdir) ;; \
886 esac; \
887 for i in $$list; do \
888 if test -f "$$i"; then \
889 echo "$(subdir)/$$i"; \
890 else \
891 echo "$$sdir/$$i"; \
892 fi; \
893 done >> $(top_builddir)/cscope.files
894
895distclean-tags:
896 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
897
898distdir: $(DISTFILES)
899 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
900 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
901 list='$(DISTFILES)'; \
902 dist_files=`for file in $$list; do echo $$file; done | \
903 sed -e "s|^$$srcdirstrip/||;t" \
904 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
905 case $$dist_files in \
906 */*) $(MKDIR_P) `echo "$$dist_files" | \
907 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
908 sort -u` ;; \
909 esac; \
910 for file in $$dist_files; do \
911 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
912 if test -d $$d/$$file; then \
913 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
914 if test -d "$(distdir)/$$file"; then \
915 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
916 fi; \
917 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
918 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
919 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
920 fi; \
921 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
922 else \
923 test -f "$(distdir)/$$file" \
924 || cp -p $$d/$$file "$(distdir)/$$file" \
925 || exit 1; \
926 fi; \
927 done
928 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
929 if test "$$subdir" = .; then :; else \
930 $(am__make_dryrun) \
931 || test -d "$(distdir)/$$subdir" \
932 || $(MKDIR_P) "$(distdir)/$$subdir" \
933 || exit 1; \
934 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
935 $(am__relativize); \
936 new_distdir=$$reldir; \
937 dir1=$$subdir; dir2="$(top_distdir)"; \
938 $(am__relativize); \
939 new_top_distdir=$$reldir; \
940 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
941 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
942 ($(am__cd) $$subdir && \
943 $(MAKE) $(AM_MAKEFLAGS) \
944 top_distdir="$$new_top_distdir" \
945 distdir="$$new_distdir" \
946 am__remove_distdir=: \
947 am__skip_length_check=: \
948 am__skip_mode_fix=: \
949 distdir) \
950 || exit 1; \
951 fi; \
952 done
953check-am: all-am
954check: check-recursive
955all-am: Makefile $(LTLIBRARIES) $(DATA) $(HEADERS)
956installdirs: installdirs-recursive
957installdirs-am:
958 for dir in "$(DESTDIR)$(devlibdir)" "$(DESTDIR)$(pkgconfigdir)" "$(DESTDIR)$(pkgincludedir)"; do \
959 test -z "$$dir" || $(MKDIR_P) "$$dir"; \
960 done
961install: install-recursive
962install-exec: install-exec-recursive
963install-data: install-data-recursive
964uninstall: uninstall-recursive
965
966install-am: all-am
967 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
968
969installcheck: installcheck-recursive
970install-strip:
971 if test -z '$(STRIP)'; then \
972 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
973 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
974 install; \
975 else \
976 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
977 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
978 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
979 fi
980mostlyclean-generic:
981
982clean-generic:
983
984distclean-generic:
985 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
986 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
987
988maintainer-clean-generic:
989 @echo "This command is intended for maintainers to use"
990 @echo "it deletes files that may require special tools to rebuild."
991clean: clean-recursive
992
993clean-am: clean-devlibLTLIBRARIES clean-generic clean-libtool \
994 mostlyclean-am
995
996distclean: distclean-recursive
997 -rm -rf ./$(DEPDIR)
998 -rm -f Makefile
999distclean-am: clean-am distclean-compile distclean-generic \
1000 distclean-tags
1001
1002dvi: dvi-recursive
1003
1004dvi-am:
1005
1006html: html-recursive
1007
1008html-am:
1009
1010info: info-recursive
1011
1012info-am:
1013
1014install-data-am: install-devlibLTLIBRARIES install-pkgconfigDATA \
1015 install-pkgincludeHEADERS
1016
1017install-dvi: install-dvi-recursive
1018
1019install-dvi-am:
1020
1021install-exec-am:
1022
1023install-html: install-html-recursive
1024
1025install-html-am:
1026
1027install-info: install-info-recursive
1028
1029install-info-am:
1030
1031install-man:
1032
1033install-pdf: install-pdf-recursive
1034
1035install-pdf-am:
1036
1037install-ps: install-ps-recursive
1038
1039install-ps-am:
1040
1041installcheck-am:
1042
1043maintainer-clean: maintainer-clean-recursive
1044 -rm -rf ./$(DEPDIR)
1045 -rm -f Makefile
1046maintainer-clean-am: distclean-am maintainer-clean-generic
1047
1048mostlyclean: mostlyclean-recursive
1049
1050mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1051 mostlyclean-libtool
1052
1053pdf: pdf-recursive
1054
1055pdf-am:
1056
1057ps: ps-recursive
1058
1059ps-am:
1060
1061uninstall-am: uninstall-devlibLTLIBRARIES uninstall-pkgconfigDATA \
1062 uninstall-pkgincludeHEADERS
1063
1064.MAKE: $(am__recursive_targets) install-am install-strip
1065
1066.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am check \
1067 check-am clean clean-devlibLTLIBRARIES clean-generic \
1068 clean-libtool cscopelist-am ctags ctags-am distclean \
1069 distclean-compile distclean-generic distclean-libtool \
1070 distclean-tags distdir dvi dvi-am html html-am info info-am \
1071 install install-am install-data install-data-am \
1072 install-devlibLTLIBRARIES install-dvi install-dvi-am \
1073 install-exec install-exec-am install-html install-html-am \
1074 install-info install-info-am install-man install-pdf \
1075 install-pdf-am install-pkgconfigDATA install-pkgincludeHEADERS \
1076 install-ps install-ps-am install-strip installcheck \
1077 installcheck-am installdirs installdirs-am maintainer-clean \
1078 maintainer-clean-generic mostlyclean mostlyclean-compile \
1079 mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
1080 tags tags-am uninstall uninstall-am \
1081 uninstall-devlibLTLIBRARIES uninstall-pkgconfigDATA \
1082 uninstall-pkgincludeHEADERS
1083
1084.PRECIOUS: Makefile
1085
1086
1087# Tell versions [3.59,3.63) of GNU make to not export all variables.
1088# Otherwise a system limit (for SysV at least) may be exceeded.
1089.NOEXPORT: